export declare const CursorWrapper: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {
    sm: "(max-width: 600px)";
    md: "(max-width: 960px)";
    lg: "(max-width: 1024px)";
}, import("@stitches/react/types/css-util").CSS<{
    sm: "(max-width: 600px)";
    md: "(max-width: 960px)";
    lg: "(max-width: 1024px)";
}, {}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const CursorElement: import("@stitches/react/types/styled-component").StyledComponent<import("framer-motion").ForwardRefComponent<HTMLDivElement, import("framer-motion").HTMLMotionProps<"div">>, {
    variant?: "primary" | "secondary" | "blur" | undefined;
}, {
    sm: "(max-width: 600px)";
    md: "(max-width: 960px)";
    lg: "(max-width: 1024px)";
}, import("@stitches/react/types/css-util").CSS<{
    sm: "(max-width: 600px)";
    md: "(max-width: 960px)";
    lg: "(max-width: 1024px)";
}, {}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
